Bug 445154 - pdflatex produces many font errors
Summary: pdflatex produces many font errors
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: texlive
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jindrich Novy
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-05-04 22:29 UTC by Matthew Saltzman
Modified: 2013-07-02 23:28 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-06-16 20:53:57 UTC


Attachments (Terms of Use)
latex file that generates font warnings when compiiled with pdflatex (395 bytes, text/plain)
2008-05-04 22:29 UTC, Matthew Saltzman
no flags Details

Description Matthew Saltzman 2008-05-04 22:29:15 UTC
Description of problem:
Running pdflatex on the attached file produces hundreds of warnings of the form:

pdfTeX warning: pdflatex (file /var/lib/texmf/fonts/map/pdftex/updmap/pdftex.ma
p): ambiguous entry for `toti10': font file present but not included, will be t
reated as font file not present

The name of the font is different for each message.

Version-Release number of selected component (if applicable):
texlive-latex-2007-29.fc8.x86_64

How reproducible:
Always

Steps to Reproduce:
1. latex helloworld.tex
2.
3.
  
Actual results:
Many spurious font warnings

Expected results:
No spurious font warnings

Additional info:

Comment 1 Matthew Saltzman 2008-05-04 22:29:15 UTC
Created attachment 304502 [details]
latex file that generates font warnings when compiiled with pdflatex

Comment 2 Bug Zapper 2008-05-14 10:38:13 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Milos Jakubicek 2009-02-05 20:12:33 UTC
So, what's up with this? On current F10 box, I'm still getting tons of those annoying messages making the output illegible:

>cat testtex.tex
\documentclass[a4paper,12pt]{article}
\usepackage[czech]{babel}
\begin{document}
TEST
\end{document}

>pdflatex testtex.tex | grep ambiguous | wc -l
2545

Comment 4 Bug Zapper 2009-06-10 00:36:49 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Milos Jakubicek 2009-06-16 20:53:57 UTC
I just looked at this again, running "updmap-sys" solved the problem. It might be then a relict from tetex or previous texlive package versions (the tested machine was updated from Fedora 5 to every next release without reinstall).


Note You need to log in before you can comment on or make changes to this bug.